Consider making Dolphin open in the center of the screen by default in Bionic
Open, Needs TriagePublic

Description

Seems optimal to me.

ragreen created this task.Mar 29 2018, 5:03 PM
ngraham closed this task as Invalid.Mar 29 2018, 5:04 PM
ngraham added a subscriber: ngraham.

Is this something we can actually do? KWin takes care of window positioning, and I'm not sure there's anything we can to do adjust this. Bugs in window positioning should be reported upstream to KWin

ragreen added a comment.EditedMar 29 2018, 5:08 PM

@ngraham But Nathan, look into Neptune. Every window opens in the middle.

Then they must use the "Centered" KWin positioning behavior by default.

This request was about Dolphin, not all windows. We could investigate using the "Centered" KWin window positioning behavior for all windows, but not just Dolphin.

ragreen renamed this task from Position Dolphin in the middle of the screen by default in Bionic to Position Dolphin to the middle of the screen by default in Bionic.Mar 29 2018, 5:13 PM
ragreen renamed this task from Position Dolphin to the middle of the screen by default in Bionic to Implement centered KWin positioning by default in Bionic.Mar 29 2018, 5:17 PM
ragreen reopened this task as Open.
ragreen updated the task description. (Show Details)
ragreen closed this task as Sealed.Mar 29 2018, 5:35 PM
ragreen reopened this task as Open.

I need rest. Made it a mess.

Then they must use the "Centered" KWin positioning behavior by default.

This request was about Dolphin, not all windows. We could investigate using the "Centered" KWin window positioning behavior for all windows, but not just Dolphin.

You can certainly specify a per application or per window initial placement rule, just for dolphin.

However, I would reject this as a default, as it is very non-obvious how to turn such a thing off for a new or even moderately experienced user.

This comment was removed by ragreen.

However, I would reject this as a default, as it is very non-obvious how to turn such a thing off for a new or even moderately experienced user.

So you don't trust them to be capable to find and manage this

ragreen renamed this task from Implement centered KWin positioning by default in Bionic to Consider making Dolphin open in the center of the screen by default in Bionic (size: a quadrant).Mar 30 2018, 11:04 AM

A quadrant's width is probably okay. I'm not sure about the hight.

ragreen renamed this task from Consider making Dolphin open in the center of the screen by default in Bionic (size: a quadrant) to Consider making Dolphin open in the center of the screen by default in Bionic.Mar 30 2018, 11:19 AM

@ngraham Whatever you see fit. I'm done.

I'm not sure it makes sense to have just Dolphin's main window forced to centered. It feels like working around another issue that we should fix instead. What's the deeper issue here that's motivating this change request?

What's the deeper issue here that's motivating this change request?

It makes sense for any window, one intends to interact with, to show up right in middle of his/her visual angle. We've even positioned the installer that way.

I'm not sure it makes sense to have just Dolphin's main window forced to centered. It feels like working around another issue that we should fix instead.

Agreed.

rikmills moved this task from Packaging / Devel to Inbox on the Kubuntu board.Mar 31 2018, 7:38 PM